## dh-make-perl 0.66

=== Makefile ===
#!/usr/bin/make -f

PERL ?= /usr/bin/perl

all: build

Build: Build.PL
	$(PERL) $<

build install test manifest: Build
	./Build $@

orig:
	[ ! -e debian/rules ] || $(MAKE) -f debian/rules clean
	$(MAKE) Build
	./Build $@

dist: manifest
	./Build $@

clean:
	[ ! -e Build ] || ./Build $@

realclean distclean: clean
	[ ! -e MANIFEST ] || rm MANIFEST
	[ ! -e META.yml ] || rm META.yml

.PHONY: all build install test orig dist manifest clean realclean distclean
# vim: noet

## dh-make-perl 0.9

=== debian/changelog ===
dh-make-perl (0.9) unstable; urgency=low

  * Handle better files without pod info (Closes: bug#109437).
  * Require the user to specify the version if the euristics don't work:
    closes: bug#112373.
  * Use dh_installman in the rules files instead of dh_installmanpages:
    closes: bug#118130.

 -- Paolo Molaro <lupus@debian.org>  Sun, 11 Nov 2001 19:36:06 +0100

dh-make-perl (0.8) unstable; urgency=low

  * Quick, before anyone notices.

 -- Paolo Molaro <lupus@debian.org>  Wed, 13 Jun 2001 09:49:38 +0200

dh-make-perl (0.7) unstable; urgency=low

  * gzclose error was on CPAN module (Closes: bug#86644).
  * Fixed descriptions (Closes: bug#94570).
  * Updates for new version of CPAN.pm.
  * Limit somewhat the lines of text in the descriptions.
  * Handle better some weird situations (Closes: bug#89733).
  * Also consider $ENV{DEBFULLNAME) for the maintainer's name (Closes: bug#98316).

 -- Paolo Molaro <lupus@debian.org>  Tue, 12 Jun 2001 15:39:50 +0200

dh-make-perl (0.6) unstable; urgency=low

  * Handle correctly interior sequences in pod parser.
  * Shut up some warnings.
  * Correctly set maintainer email in some cases.
  * Better copyright guesses.
  * Ensure policy compliant names and version numbers.
  * Fixes in rules files (support DEB_BUILD_OPTIONS).
  * Better checks for binary modules (added a --arch option, too).

 -- Paolo Molaro <lupus@debian.org>  Mon, 19 Feb 2001 13:52:39 +0100

dh-make-perl (0.5) unstable; urgency=low

  * Do not use install-stamp in sample rules files (Closes: bug#84509).
  * Updates to policy 3.5.1.

 -- Paolo Molaro <lupus@debian.org>  Sun, 18 Feb 2001 21:42:27 +0100

dh-make-perl (0.4) unstable; urgency=low

  * Use Pod::Parser to parse the pod tags.
  * Build package in current directory.
  * Updated generated rules files to new perl policy.

 -- Paolo Molaro <lupus@debian.org>  Fri, 16 Feb 2001 23:39:08 +0100

dh-make-perl (0.3) unstable; urgency=low

  * Fix typo in README.Debian filename (Closes: bug#77499).
  * Handle description creation better (Closes: bug#78970).
  * Fixed docs about DEBEMAIL env var (Closes: bug#80607).

 -- Paolo Molaro <lupus@debian.org>  Sun, 28 Jan 2001 13:20:52 +0100

dh-make-perl (0.2) unstable; urgency=low

  * Added support for downloading modules from CPAN.
  * Added switches to build and install the resulting package.

 -- Paolo Molaro <lupus@debian.org>  Wed, 25 Oct 2000 15:52:55 +0200

dh-make-perl (0.1) unstable; urgency=low

  * Initial Release.

 -- Paolo Molaro <lupus@debian.org>  Mon, 16 Oct 2000 19:14:24 +0200
 

=== debian/control ===
Source: dh-make-perl
Section: devel
Priority: optional
Build-Depends-Indep: debhelper (>= 3.0.0)
Maintainer: Paolo Molaro <lupus@debian.org>
Standards-Version: 3.5.1

Package: dh-make-perl
Architecture: all
Depends: debhelper (>= 3.0.0), libpod-parser-perl, ${perl:Depends}, make, dpkg-dev, fakeroot
Description: Create debian packages from perl modules
 dh-make-perl will create the files required to build
 a debian source package out of a perl package.
 This works for most simple packages and is also useful
 for getting started with packaging perl modules.
 Given a perl package name, it can also automatically download it from CPAN.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=3

INST=`pwd`/debian/dh-make-perl

build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	pod2man --center debian dh-make-perl > dh-make-perl.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	@for i in Strange-0.1 Strange-2.1; do cd $$i; \
		fakeroot debian/rules clean;  cd ..; rm -rf $$i/debian; done
	@rm -f *.changes *.deb *.gz
	-rm dh-make-perl.1

	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	mkdir -p $(INST)/usr/bin
	mkdir -p $(INST)/usr/share/dh-make-perl
	cp dh-make-perl $(INST)/usr/bin
	cp rules* $(INST)/usr/share/dh-make-perl
	cp overrides $(INST)/usr/share/dh-make-perl


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs README
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## dh-make-perl 0.12

=== debian/changelog ===
dh-make-perl (0.12) unstable; urgency=low

  * debian/rules: Make make clean cleaner.
  * debian/control: I'm a DD now!
  * dh-make-perl:
    + Don't use rename, as it won't work across devices.
    + Rewrite the ugly stuff that inserts the found docs and the changes file
      into the rules file. IMO this whole thing has to be rewritten *sigh*
    + Fix --build switch by calling make directly with the -C switch. Thanks
      for the report to Emanuele Zeppieri <ema_zep@libero.it> (Closes:
      #241159)
    + Work with DEBEMAIL and DEBFULLNAME as dch does.
    + Fix regexp finding the used modules to allow stuff like use Gtk2"-init"
      and Foobar(). Thanks for the report to Eric Schwartz 
      <emschwar@fc.hp.com>. (Closes: #234774)
  .
  ### I'm planning to rewrite dh-make-perl over the next few weeks. Please
  ### mail me if you want to contribute or have ideas for new features.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Wed, 31 Mar 2004 17:30:44 +0200

dh-make-perl (0.11) unstable; urgency=low

  * Let dh-make-perl also work on directories other than ".". (Closes:
    #230382)
  * Apply patch from Gaal Yahas <gaal@forum2.org> to the CPAN code, now
    CPAN.pm itself chooses the default mirror. Thanks Gaal! (Closes: #230409)
  * Fixed "Use of uninitialized value" warnings in the default override file.
  * Introducing the --exclude|i switch to allow people to exclude some files
    from the search for docs and stuff. This defaults to the exclusion of
    CVS/.svn dirs. (Closes: #223411, #227183, #227113)
  * Now prints out the Perl error message when failing to open a file.
  * Add a note to the end of the long description to state that it was
    automagically extracted from the source. (Closes: #226146)
  * Updated both rules.noxs and rules.xs.
  * Updated manpage. 

 -- Marc Brockschmidt <marc@dch-faq.de>  Mon,  9 Feb 2004 20:39:46 +0100

dh-make-perl (0.10) unstable; urgency=low

  * New maintainer. (Closes: #206877)
  * Acknowledge fixes in the 3 NMUs. (Closes: #153311, #138517, #149295,
    #158427, #131937, #134404, #143631)
  * Changed debhelper version number in the generated debian/rules file to
    woody standard 4.0.2. (Closes: #188313)
  * Changed some CPAN things: The package will be build in ./$packagename/,
    a tarball will be moved to ./$packagename_$version.orig.tar.gz.
  * Use Build-Depends-Indep for perl instead of Build-Depends to make packages
    lintian clean.
  * Search for packages containing needed perl modules with apt-file (if
    installed), otherwise just output the list of needed modules. (Closes:
    #194755)
  * Applied patch to enable overrides again. Thanks to Adrian Phillips
    <adrianp@powertech.no>. (Closes: #207822)
  * Applied patch to parse Makefile.PL right (Sometimes we need DISTNAME and
    not NAME). Thanks to Adrian Phillips <adrianp@powertech.no>. (Closes: #207833)
  * Applied patch to get information from META.yml instead of Makefile.PL.
    Thanks to Ilya Martynov <ilya@martynov.org>. (Closes: #209059)

 -- Marc Brockschmidt <marc@dch-faq.de>  Fri, 24 Oct 2003 13:03:11 +0200

dh-make-perl (0.9-0.4) unstable; urgency=low

  * Non-maintainer upload
  * Change from section "interpreters" to "perl" in boilerplate.
  * changed to debian/compat instead of DH_COMPAT
  * change to debhelper compatibility level v4 from v3: added ${misc:Depends}

 -- Ivan Kohler <ivan-debian@420.am>  Mon, 31 Mar 2003 13:16:29 -0800

dh-make-perl (0.9-0.3) unstable; urgency=low

  * Non-maintainer upload
  * Use version from CPAN if --cpan was used and Paolo's parsing fails,
    as per suggestion from joeyh (closes: Bug#158427)

 -- Ivan Kohler <ivan-debian@420.am>  Mon,  2 Sep 2002 03:57:49 -0700

dh-make-perl (0.9-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Reformat description (closes: Bug#134404)
  * Fix binary-arch vs. binary-indep in package's own debian/rules
  * Don't create a README.Debian file or use Emacs vars in changelog
    (closes: Bug#153311)
  * Use an extension on perl -pi invocations (closes: Bug#149295)
  * Better $VERSION parsing, perhaps (closes: Bug#138517) might be better to
    just ask CPAN(PLUS)?
  * fix typo in manpage (closes: Bug#131937)
  * CPANPLUS option (closes: Bug#143631)
  * Fix binary-arch vs. binary-indep in rules.noxs
  * Automatically add links to /usr/share/common-licenses for some common 
    licenses.

 -- Ivan Kohler <ivan-debian@420.am>  Thu, 22 Aug 2002 18:18:51 -0700

=== debian/control ===
Source: dh-make-perl
Section: devel
Priority: optional
Build-Depends: debhelper (>= 4.0.2)
Build-Depends-Indep: perl
Maintainer: Marc 'HE' Brockschmidt <he@debian.org>
Standards-Version: 3.6.1

Package: dh-make-perl
Architecture: all
Depends: debhelper (>= 4.0.2), libpod-parser-perl, ${perl:Depends}, make, dpkg-dev, fakeroot, ${misc:Depends}, libyaml-perl
Recommends: apt-file
Description: Create debian packages from perl modules
 dh-make-perl will create the files required to build a debian source
 package out of a perl package.  This works for most simple packages
 and is also useful for getting started with packaging perl modules.
 Given a perl package name, it can also automatically download it from
 CPAN.

## dh-make-perl 0.15

=== debian/changelog ===
dh-make-perl (0.15) unstable; urgency=low

  * dh-make-perl: Fix documentation to respect the new names for the rules
    templates.
  * dh-make-perl: Check if module from cpan is a standard module
    (Closes: #136732)
  * dh-make-perl: Uses Module::Depends::Intrusive in extract_depends() to find
    dependencies now.  This simulates a build of the module ensuring that you
    get all the dependencies.  (Closes: #297537)
  * debian/control: Added dependency on libmodule-depends-perl for dependency
    detection fix.
  * dh-make-perl: Added a function to make a watch file for modules from
    CPAN.  (Closes: #253919)

 -- Gunnar Wolf <gwolf@debian.org>  Fri,  1 Apr 2005 18:05:14 -0600

dh-make-perl (0.14) unstable; urgency=medium

  * rules.ModuleBuild.{noxs,xs}: Add rules templates for Module::Build
    based packages. Thanks for the (slightly modified) patch from
    Jason Kohles <email@jasonkohles.com>. (Closes: #258123, #285941, #300121).
    Thanks to Marc 'HE' Brockschmidt for incorporating this work.
  * Now performs tests as part of the build process. Added the --notest
    switch to revert the behavior to the old one.
  * Added a Recommends: libmodule-build-perl relationship

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 23 Mar 2005 19:32:08 -0600

dh-make-perl (0.13) unstable; urgency=low

  * New maintainer, Gunnar Wolf <gwolf@debian.org>, with Wolfgang Schemmel
    <debian@37.org> as a co-maintainer.
  * Fixed bug which made dh-make-perl get the module name wrong when it ended
    in ::Perl. Applied patch by David Pashley - Thanks! (Closes: #249472)
  * Fixed an uninitialized substitution warning if there is no
    changelog. Applied patch semantically equivalent to Edward Bett's,
    thanks! (Closes: #243338)
  * Handles the cases where POD has DETAILS instead of DESCRIPTION, as
    well as cases where the POD files are DOS-like (i.e., lines end with
    \r\n). Applied Edward Betts' patch, thanks! (Closes: #267899)
  * Documented the --build and --install switches in the synopsis,
    forced the module to be built if only --install is specified.
    (Closes: #269606)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 14 Mar 2005 14:03:17 -0600

=== debian/control ===
Source: dh-make-perl
Section: devel
Priority: optional
Build-Depends: debhelper (>= 4.0.2)
Build-Depends-Indep: perl
Maintainer: Gunnar Wolf <gwolf@debian.org>
Uploaders: Wolfgang Schemmel <debian@37.org>, Christopher Sacca <csacca@thecsl.org>
Standards-Version: 3.6.1

Package: dh-make-perl
Architecture: all
Depends: debhelper (>= 4.0.2), libpod-parser-perl, ${perl:Depends}, make, dpkg-dev, fakeroot, ${misc:Depends}, libyaml-perl, libmodule-depends-perl
Recommends: apt-file, libmodule-build-perl
Description: Create debian packages from perl modules
 dh-make-perl will create the files required to build a debian source
 package out of a perl package.  This works for most simple packages
 and is also useful for getting started with packaging perl modules.
 Given a perl package name, it can also automatically download it from
 CPAN.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DH_COMPAT=3
 
 INST=`pwd`/debian/dh-make-perl
 
@@ -25,12 +24,16 @@
 	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
-	@for i in Strange-0.1 Strange-2.1; do cd $$i; \
-		fakeroot debian/rules clean;  cd ..; rm -rf $$i/debian; done
-	@rm -f *.changes *.deb *.gz
-	-rm dh-make-perl.1
+	@for i in Strange-0.1 Strange-2.1; do\
+		if test -d "$$i/debian"; then \
+			cd $$i; \
+			debian/rules clean; \
+			cd ..; \
+			rm -rf $$i/debian; \
+		fi \
+	done
 
-	dh_clean
+	dh_clean dh-make-perl.1 $(wildcard *.changes) $(wildcard *.deb) $(wildcard *.gz)
 
 install:
 	dh_testdir
@@ -48,31 +51,20 @@
 
 
 # Build architecture-independent files here.
-binary-indep: build install
+binary-arch: build install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
-#	dh_testversion
+binary-indep: build install
 	dh_testdir
 	dh_testroot
 	dh_installdocs README
-	dh_installexamples
-	dh_installmenu
-#	dh_installemacsen
-#	dh_installinit
-	dh_installcron
-	dh_installmanpages
-#	dh_undocumented
+	dh_installman dh-make-perl.1
 	dh_installchangelogs
-	dh_link
-	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_makeshlibs
 	dh_installdeb
 	dh_perl 
-	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## dh-make-perl 0.17

=== debian/changelog ===
dh-make-perl (0.17) unstable; urgency=low

  * Fixed: Module::Depends::Intrusive was unable to find files because
    the build dir was not part of @INC (Closes: #303806)
  * Fixed: Oversight in previous version breaks information gathering
    from modules including a valid META.yml (Closes: #309552)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 18 May 2005 09:36:11 -0500

dh-make-perl (0.16) unstable; urgency=low

  * dh-make-perl: Die on error from Module::Depends::Intrusive
  * Fixed extract_name_ver to correctly deal with empty META.yml files

 -- Gunnar Wolf <gwolf@debian.org>  Sat, 14 May 2005 17:20:30 -0500

## dh-make-perl 0.20

=== debian/changelog ===
dh-make-perl (0.20) unstable; urgency=low

  * No longer ignores META.yml due to the silly oversight of yours
    truly, that was handing back an empty hashref :-/ Thanks to Adam
    Sj�gren and to Noel Maddy for two equivalent reports and two
    identical patches. (Closes: #331658, #328687)
  * Added yet-another-case of how to get version information - Thanks to
    Noel Maddy for the patch (Closes: #328700)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 24 Oct 2005 12:31:59 -0500

dh-make-perl (0.19) unstable; urgency=low

  * Generated debian/watch was including the trailing dot as part of the
    version number - fixed
  * Does not die anymore when META.yml is wrongly formed (Closes:
    #326807)

 -- Gunnar Wolf <gwolf@debian.org>  Tue,  6 Sep 2005 16:50:14 -0500

dh-make-perl (0.18) unstable; urgency=low

  * Generated modules don't ignore the result of the cleaning process in
    the presence of a Makefile/Build (Closes: #325452)
  * Supports also getting information from modules that use
    Module::Install
  * Better support for getting information out of the META.yml file,
    needed for correct building of Module::Build-based modules (Closes:
    #315798)

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 29 Aug 2005 11:56:28 -0500

## dh-make-perl 0.21

=== debian/changelog ===
dh-make-perl (0.21) unstable; urgency=low

  * Added patch by Adam Sjoergen/Damyan Ivanov fixing newlines in
    descriptions that broke the generated debian/control files (Closes:
    #350728)

 -- Gunnar Wolf <gwolf@debian.org>  Wed,  8 Mar 2006 12:56:03 -0600

## dh-make-perl 0.25

=== debian/changelog ===
dh-make-perl (0.25) unstable; urgency=low

  * Fixed the Perl package data parsing function, fixing an unneeded
    warning. Thanks to Johnny Morano for the patch! (Closes: #396846)
  * Generated dependency on Perl was incomplete (it _only_ missed the
    package name :-/ ) - Thanks to Hilko Bengen for pointing it out.
    (Closes: #400400)
  * No longer dies when building Module::Install modules - It now asks
    the user to manually specify the dependencies. (Closes: #396536)
  * Can now specify via command line depends, build-depends and build-
    depends-indep
  * A bit of basic cleaning, trying to deuglify this very much love-
    needing source code
  * Added patch by Jesper Krogh which allows dh-make-perl to generate
    versioned dependency strings (Closes: #364325)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 28 Nov 2006 11:47:32 -0600

dh-make-perl (0.24) unstable; urgency=low

  * Transferred package ownership to the Debian Perl Group
  * Added patch by Fermin Galan, allowing to specify the maintainer from
    the overrides file
  * Fixed Perl package version parsing (Closes: #386086, #393438)
  * Fixed: Was not properly ignoring Subversion/CVS directories when
    called with an implicit --exclude/-i (Closes: #394314)
  * Fixes the cases where Makefile.PL depends on FindBin (Closes:
    #375146)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 27 Oct 2006 13:22:17 -0500

dh-make-perl (0.23) unstable; urgency=low

  * Added --requiredeps option, to force dh-make-perl to choke on
    unresolvable dependencies (Closes: #382027)
  * Packages which are not arch-indep will correctly list perl as build-
    depends, not build-depends-indep (Closes: #381148)
  * The version of Perl depended upon for building is the one currently
    installed in the system, as reported by dpkg

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 28 Aug 2006 20:57:15 -0500

dh-make-perl (0.22) unstable; urgency=low

  * Added patch by Peter Morch <mn3k66i02@sneakemail.com> allowing user again
    to specify packaging version number (which we had, but was trampled upon
    by autodetection code). (Closes: #382039)
  * Updated generated standards-version to 3.7.2, after checking nothing
    specifically refers to Perl packaging. Updated debhelper required
    version to >= 5.0.0 (Closes: #381130)
  * Updated this package's standards-version to 3.7.2 and debhelper
    required version to >= 5.0.0

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 13 Aug 2006 20:09:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: dh-make-perl
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 4.0.2)
+Build-Depends: debhelper (>= 5.0.0)
 Build-Depends-Indep: perl
-Maintainer: Gunnar Wolf <gwolf@debian.org>
-Uploaders: Wolfgang Schemmel <debian@37.org>, Christopher Sacca <csacca@thecsl.org>
-Standards-Version: 3.6.1
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Wolf <gwolf@debian.org>, Wolfgang Schemmel <debian@37.org>, Christopher Sacca <csacca@thecsl.org>
+Standards-Version: 3.7.2
+XS-Vcs-Svn: svn://svn.debian.org/pkg-perl/tools/dh-make-perl/trunk/
 
 Package: dh-make-perl
 Architecture: all

## dh-make-perl 0.26

=== debian/changelog ===
dh-make-perl (0.26) unstable; urgency=low

  [ Frank Lichtenheld ]
  * s/debian/Debian/ in Description

  [ Gunnar Wolf ]
  * Trimmed unneeded whitespace from generated files - Thanks to Kees
    Cook <kees@outflux.net> for the patch! (Closes: #411282)
  * Patched regex for finding the module name when unde Module::Install,
    allowing for whitespace between the "name" string and the module
    name. Thanks to Marc Chantreux for the patch (and the patience ;-) )
  * Replaced the (now deprecated) call to the external program 822-date
    for date -R
  * Started reorganizing the code - All bare open() calls are now
    handled through IO::File; shuffled some functions around so the code
    is more followable
  * Added --core-ok option to allow building core modules (Closes:
    #409017)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 09 May 2007 19:24:16 -0500

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 Architecture: all
 Depends: debhelper (>= 4.0.2), libpod-parser-perl, ${perl:Depends}, make, dpkg-dev, fakeroot, ${misc:Depends}, libyaml-perl, libmodule-depends-perl
 Recommends: apt-file, libmodule-build-perl
-Description: Create debian packages from perl modules
- dh-make-perl will create the files required to build a debian source
+Description: Create Debian packages from perl modules
+ dh-make-perl will create the files required to build a Debian source
  package out of a perl package.  This works for most simple packages
  and is also useful for getting started with packaging perl modules.
  Given a perl package name, it can also automatically download it from

=== debian/rules ===
--- 
+++ 
@@ -69,7 +69,7 @@
 	dh_md5sums
 	dh_builddeb
 
-source diff:                                                                  
+source diff:
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 binary: binary-indep binary-arch

## dh-make-perl 0.36

=== debian/changelog ===
dh-make-perl (0.36) unstable; urgency=low

  * Fix install dependencies in rules templates
    Before:
      install: build install-stamp
      install-stamp:
    After:
      install: install-stamp
      install-stamp: build-stamp
    Avoids problems with parallel builds
  * Use "$@" when touching stamps
  * Bump standards-version to 3.7.3 (no changes)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 07 Dec 2007 11:28:18 +0200

dh-make-perl (0.35) unstable; urgency=low

  [ Oliver Gorwits ]
  * Try Module::Depends if M::D::Intrusive fails (Closes: #447520). This
    helps Module::Install modules (with META.yml) to work with dh-make-perl.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 14 Nov 2007 16:46:02 +0200

dh-make-perl (0.34) unstable; urgency=low

  * Add Vcs-* fields instead of the obsolete XS-Vcs-* fields when invoked
    with --pkg-perl.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Wed, 17 Oct 2007 17:51:46 +0200

dh-make-perl (0.33) unstable; urgency=low

  [ David Paleino ]
  * Added --email|-e and --packagename|-p switches (Closes: #443170).

  [ gregor herrmann ]
  * Create Homepage: field in source stanza instead of pseudo-field in long
    description.
  * Add "--pkg-perl" to output of usage instructions.
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza). Removed: XS-Vcs-Svn fields.

  [ Damyan Ivanov ]
  * Add "create_packlist=0" to Module-Build templates
  * Replace `pwd` with $(CURDIR) in debian/rules

 -- Damyan Ivanov <dmn@debian.org>  Mon, 15 Oct 2007 11:23:06 +0300

dh-make-perl (0.32) unstable; urgency=low

  [ Frank Lichtenheld ]
  * Unbreak handling of --version which was broken by the
    getopts overhaul in 0.27

  [ David Paleino ]
  * Added new command line switch (--closes), to specify the ITP that
    the new package is going to close
  * Now dh-make-perl automagically fetches the ITP bug number from WNPP!

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Sep 2007 15:02:54 +0300

dh-make-perl (0.31) unstable; urgency=low

  [ David Paleino ]
  * rules.MakeMaker.*: changed approach to the removal of unneeded (and
    unwanted) dirs:
    - /usr/lib/perl5/ for architecture-independent packages;
    - /usr/share/perl5/ for architecture-dependent packages

  [ Damyan Ivanov ]
  * Use http://search.cpan.org/dist/$perlname/ for upstream URL, watch and
    Homepage. Idea borrowed from David Paleino.
  * Document --pkg-perl option

 -- Damyan Ivanov <dmn@debian.org>  Fri, 14 Sep 2007 11:38:10 +0300

dh-make-perl (0.30) unstable; urgency=low

  [ Gunnar Wolf ]
  * Added warning when the extracted copyright information is incomplete
    Closes: #439328 -- Stricter checks for debian/copyright

  [ Damyan Ivanov ]
  * rules* clean: Move dh_clean $stamp_files call before the $(MAKE) clean
    call as that may fail half-way, leaving the stamps in place

 -- Damyan Ivanov <dmn@debian.org>  Tue, 11 Sep 2007 11:53:18 +0300

dh-make-perl (0.29) unstable; urgency=low

  * rules*.xs: add a call to dh_shlibdeps for arch-dependent packages
    Thanks to Martín Ferrari for spotting

 -- Damyan Ivanov <dmn@debian.org>  Tue, 21 Aug 2007 09:47:49 +0300

dh-make-perl (0.28) unstable; urgency=low

  [ Gunnar Wolf ]
  * Added "basepkgs" option to specify which packages should be
    considered base
  * The list of base modules is no longer specified by hand - Base
    packages are now queried and this list is generated from it.
  * Pragmas and base modules are handled the same way - There is no real
    way to differentiate them... And they were used interchangeably, so
    there ;-)
  * Homogeneized the usage of dh_* helpers in the different cases of
    generated debian/rules

  [ Damyan Ivanov ]
  * current watch file version is 3, this is what we generate too
    stricter debian/watch patterns, omit capturing file extension
  * Move tests from install to build target
  * better explaination in binary-arch target for arch-indep packages and in
    binary-indep target of arch-dep packages why the target is empty
  * Add new option "--pkg-perl" which adds some functionality useful when
    packages are created for the Debian Perl Group. Currently adds XS-Vcs-*
    fields to debian/control and sets the Maintainer and Uploaders fields
    accordingly

 -- Damyan Ivanov <dmn@debian.org>  Mon, 20 Aug 2007 10:26:31 +0300

dh-make-perl (0.27) unstable; urgency=low

  [ Gunnar Wolf ]
  * Moved all the options received from the user to %opts, for better
    code readability
  * When the module to be packaged declares a dependency on a specific
    Perl version, reflect it in the output dependency/build dependency
    information, rather than complaining that no such module exists

  [ gregor herrmann ]
  * Add "It was downloaded from ..." to debian/copyright if called with
    "--cpan $modulename".
  * Define $dir before using it in "$modulepm =" in
    extract_name_ver_from_makefile().
  * Replace q[quotes] by "quotes" when parsing Makefile.PL in
    extract_name_ver_from_makefile().
  * Actually use command line option "--desc".

  [ Damyan Ivanov ]
  * Added packaging copyright/licensing to the generated debian/copyright
  * Added myself to Uploaders
  * Wrap long fields in debian/control
  * Add detailed copyright info in debian/copyright according to SVN logs and
    debian/changelog

  [ Gunnar Wolf ]
  * Clarified the messages when called in a system where apt-file
    (recommended but not depended upon) is not present (Closes: #428415)
  * Added some modules should be part of @stdmodules; the list is hand-
    crafted and incomplete - we need a better solution!
	
 -- Gunnar Wolf <gwolf@debian.org>  Tue, 07 Aug 2007 10:50:45 -0500

=== debian/control ===
Source: dh-make-perl
Section: devel
Priority: optional
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Gunnar Wolf <gwolf@debian.org>, Wolfgang Schemmel <debian@37.org>,
 Christopher Sacca <csacca@thecsl.org>,
 Damyan Ivanov <dmn@debian.org>, gregor herrmann <gregor+debian@comodo.priv.at>,
 David Paleino <d.paleino@gmail.com>,
 Oliver Gorwits <oliver.gorwits@oucs.ox.ac.uk>
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/dh-make-perl/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-perl/trunk/dh-make-perl/

Package: dh-make-perl
Architecture: all
Depends: debhelper (>= 4.0.2), libpod-parser-perl, ${perl:Depends}, make,
 dpkg-dev, fakeroot, ${misc:Depends}, libyaml-perl,  libmodule-depends-perl, 
 libwww-mechanize-perl
Recommends: apt-file, libmodule-build-perl
Description: Create Debian packages from perl modules
 dh-make-perl will create the files required to build a Debian source
 package out of a perl package.  This works for most simple packages
 and is also useful for getting started with packaging perl modules.
 Given a perl package name, it can also automatically download it from
 CPAN.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-INST=`pwd`/debian/dh-make-perl
+INST=$(CURDIR)/debian/dh-make-perl
 
 build: build-stamp
 build-stamp:

## dh-make-perl 0.47

=== debian/changelog ===
dh-make-perl (0.47) unstable; urgency=low

  * rules.Module-Build.xs: add config=optimize="$(CFLAGS)" to Build.PL
    invocation, causing honoring DEB_BUILD_OPTS=noopt. Thanks to Niko Tyni.
    Closes: #480110

 -- Damyan Ivanov <dmn@debian.org>  Wed, 18 Jun 2008 21:38:20 +0300

dh-make-perl (0.46) unstable; urgency=low

  [ gregor herrmann ]
  * Replace "::" with "-" in $perlname in all cases, otherwise the URLs in
    debian/watch and debian/control's Homepage field are wrong.

  [ Damyan Ivanov ]
  * add --dh <ver> switch, controlling the set of rules files to use and
    desired debhelper compatibility level. Defaults to 5
  * add rules.dh7.{xs,noxs}
  * fix not detecting arch-dep packages in refresh mode (-R)
  * Bump Standards-Version to 3.8.0 (both in dh-make-perl and generated
    packages)
  * replace a call to `date -R` with a call to Email::Date::Format's
    email_date function. Avoids a fork. Thanks to Stephen Gran.
    + Add libemail-date-format-perl to Depends.

  [ gregor herrmann ]
  * Add stamp-files to rules.dh7.{xs,noxs} (cf.
    /usr/share/doc/debhelper/examples/rules.simple from debhelper 7.0.11)
  * Call process_meta also in refresh mode to get package name more easily.

 -- Damyan Ivanov <dmn@debian.org>  Wed, 18 Jun 2008 21:09:48 +0300

dh-make-perl (0.45) unstable; urgency=low

  * Fix mangling of long description, which was broken in 0.44; thanks to
    Kevin Ryde for the bugreport (closes: #481560).
  * Tighten regexp when checking for empty long description, avoids spurious
    warnings.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 May 2008 15:09:59 +0200

dh-make-perl (0.44) unstable; urgency=low

  [ gregor herrmann ]
  * Fix check_for_xs(), thanks to Kevin Ryde for the bug report and the
    patch (closes: #480420).
  * Escape dot in exclude pattern, also reported by Kevin Ryde in the same
    bugreport.
  * CPAN.pm creates build directories with a random part since 1.88_59; use
    the new CPAN::Distribution::base_id method to get nice directory names
    again (introduced in 1.91_53), if our CPAN.pm is new enough.
  * Initialize $desc to avoid a warning.
  * Only mangle $longdesc if it is not empty, avoids results like " .".
  * If the directory containing the unpacked tarball already exists rename
    it instead of moving the contents beneath it.
  * Slightly improve wording when searching with apt-file.
  * Handle errors from moving directories.
  * Change my email address in several files.
  * debian/copyright: update years of contributions.

  [ Damyan Ivanov ]
  * Remove Roberto C. Sanchez from Uploaders on his request.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 May 2008 22:41:06 +0200

dh-make-perl (0.43) unstable; urgency=low

  [ gregor herrmann ]
  * Evaluate --arch command line option earlier.
  * Improve searching for dependencies with apt-file by using regexps; needs
    a recent version of apt-file.
  * Rank packages not ending in -perl lower in apt-file search results.
  * Improve documentation of the --build option, thanks to Antony Gelberg
    for the proposal.

 -- Damyan Ivanov <dmn@debian.org>  Thu, 08 May 2008 09:58:23 +0300

dh-make-perl (0.42) unstable; urgency=low

  * Add a line to actually use the command line option --arch; thanks to
    Jack Bates for reporting the problem (closes: #474180).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Fri, 04 Apr 2008 00:55:56 +0200

dh-make-perl (0.41) unstable; urgency=low

  [ Damyan Ivanov ]
  * new command line switch, --refresh, causing re-creation of debian/rules
    using the current templates. Useful when updating packages with ancient
    debian/rules.
  * remove trailing blank from usage text
  * create debian/watch whenever upstream URL is available, not only if --cpan
    is given
  * when module has no specific perl version requirements, fall back to "perl
    (>= 5.6.0-12)" for B-D-I, like dh_perl. Remove retrieval of (now unised)
    information about the available perl version.

  [ Ivan Kohler ]
  * Add "--allow_mb_mismatch 1" to M:B invocation of "Build distclean" in
    rules.Module-Build.* templates.

 -- Damyan Ivanov <dmn@debian.org>  Mon, 31 Mar 2008 21:51:24 +0300

dh-make-perl (0.40) unstable; urgency=low

  * use debhelper compatibility level 5 (and respective build-dependency on
    debhelper) for generated packages
  * all rules.* templates: drop obsolete 'source' and 'diff' targets

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Mar 2008 12:29:54 +0200

dh-make-perl (0.39) unstable; urgency=low

  [ gregor herrmann ]
  * Set debhelper compatibility level of the created package to 6.
  * Add comment and additional spaces to the created watch files to make the
    pattern easier to read and understand.
  * Fix small error in output of create_copyright().
  * Automatically find examples/eg/samples/sample directories for
    dh_installexamples; otherwise remove empty dh_installexamples line from
    debian/rules.
  * Format the contributors' section in the POD with over/item/back, in the
    verbatim paragraph the formatting codes were not rendered; thanks to
    Nacho Barrientos Arias for spotting.
  * Don't add a trailing comma to Depends: if there are no extra
    dependencies.

  [ Damyan Ivanov ]
  * rules.* templates: add "install" to phony targets list
  * dh-make-perl: when storing versioned dependencies, remove any leading 'v'

  [ Martín Ferrari ]
  * rules.* templates: Make source and diff .PHONY targets too, prettify a
    little: remove unneeded whitespace, make PERL a conditional assignment
    instead of an "#if" block, align the assignment of the variables.

  [ Roberto C. Sanchez ]
  * Add /me to uploaders
  * Remove obsolete README.Debian
  * Update copyright to name GPL-2 explicitly (GPL now links to GPL-3 on sid)

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 18 Mar 2008 18:47:31 -0400

dh-make-perl (0.38) unstable; urgency=low

  [ gregor herrmann ]
  * Fix inline documentation: it's Vcs-Svn and Vcs-Browser nowadays.



=== debian/control ===
Source: dh-make-perl
Section: devel
Priority: optional
Build-Depends: debhelper (>= 5)
Build-Depends-Indep: perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Gunnar Wolf <gwolf@debian.org>, Wolfgang Schemmel <debian@37.org>,
 Christopher Sacca <csacca@thecsl.org>,
 Damyan Ivanov <dmn@debian.org>, gregor herrmann <gregoa@debian.org>,
 David Paleino <d.paleino@gmail.com>, 
 Oliver Gorwits <oliver.gorwits@oucs.ox.ac.uk>
Standards-Version: 3.8.0
Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/dh-make-perl/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-perl/trunk/dh-make-perl/

Package: dh-make-perl
Architecture: all
Depends: debhelper (>= 4.0.2), libpod-parser-perl, ${perl:Depends}, make,
 dpkg-dev, fakeroot, ${misc:Depends}, libyaml-perl,  libmodule-depends-perl,
 libwww-mechanize-perl, libemail-date-format-perl
Recommends: apt-file (>= 2.1.0), libmodule-build-perl
Description: Create Debian packages from perl modules
 dh-make-perl will create the files required to build a Debian source
 package out of a perl package.  This works for most simple packages
 and is also useful for getting started with packaging perl modules.
 Given a perl package name, it can also automatically download it from
 CPAN.

## dh-make-perl 0.47maemo1

=== debian/changelog ===
dh-make-perl (0.47maemo1) fremantle; urgency=low

  * New Maemo packaging

 -- Nito Martinez <Nito@Qindel.ES>  Tue, 13 Apr 2010 22:52:07 +0100

ldh-make-perl (0.47) unstable; urgency=low

  * rules.Module-Build.xs: add config=optimize="$(CFLAGS)" to Build.PL
    invocation, causing honoring DEB_BUILD_OPTS=noopt. Thanks to Niko Tyni.
    Closes: #480110

 -- Damyan Ivanov <dmn@debian.org>  Wed, 18 Jun 2008 21:38:20 +0300

## dh-make-perl 0.47maemo2

=== debian/changelog ===
dh-make-perl (0.47maemo2) fremantle; urgency=low

  * Add correct PATH and SBOX_REDIRECT_IGNORE and PERL5LIB envs in rules

 -- Nito Martinez <Nito@Qindel.ES>  Wed, 19 May 2010 18:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,8 @@
 Priority: optional
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: perl
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Gunnar Wolf <gwolf@debian.org>, Wolfgang Schemmel <debian@37.org>,
- Christopher Sacca <csacca@thecsl.org>,
- Damyan Ivanov <dmn@debian.org>, gregor herrmann <gregoa@debian.org>,
- David Paleino <d.paleino@gmail.com>, 
- Oliver Gorwits <oliver.gorwits@oucs.ox.ac.uk>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Nito Martinez <Nito@Qindel.ES>
 Standards-Version: 3.8.0
 Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/dh-make-perl/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-perl/trunk/dh-make-perl/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export SBOX_REDIRECT_IGNORE:=/usr/bin/perl
+unexport PERL5LIB
+export PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
 
 INST=$(CURDIR)/debian/dh-make-perl

## dh-make-perl 0.50

=== debian/changelog ===
dh-make-perl (0.50) unstable; urgency=low

  [ gregor herrmann ]
  * Replace 'This module' with the real module name in the created long
    description and wrap the description to a sane width (closes: #506071).

  [ Damyan Ivanov ]
  * replace parsing of 'apt-file search' output with parsing the Contents
    files in /var/cache/apt/apt-file and cache the result.
    Closes: #506075 -- optimize apt-file invocations
  * wrap generated (build-)dependency fields. Thanks to Gregor Herrmann
  * fix a bug introduced in the fix of #487850 causing duplication of detected
    dependencies

 -- Damyan Ivanov <dmn@debian.org>  Sat, 22 Nov 2008 15:11:52 +0200

dh-make-perl (0.49) unstable; urgency=low

  [ Damyan Ivanov ]
  * Default debhelper level on generated packages is 7
  * Make parentheses around module name optional in the Module::Install-using
    Makefile.PL. Closes: #493652 -- Fails to detect name
    Thanks to Christ West (Faux) for the report and the patch
  * Make --depends and similar options to add packages to dependencies instead
    of replacing the detected dependecy lists.
    Closes: #487850 -- allow adding, not overwriting dependencies with
                       --depends and friends
  * Do not bail out when unable to determine dependencies
  * Avoid usage of uninitialized variable when no META file was found

  [ Gunnar Wolf ]
  * Now creates machine-parsable debian/copyright files (cf.
    http://wiki.debian.org/Proposals/CopyrightFormat)

  [ gregor herrmann ]
  * "--refresh" also re-creates debian/copyright and makes backups of both
    debian/rules and debian/copyright.
  * Look for 'example' as well as for 'examples'.
  * Complete creation of debian/copyright skeleton even if no license is
    found.
  * Fix typo in minimum Perl version number, thanks to Niko Tyni for spotting.
    Closes: #499730
  * Check for an existing ./debian directory earlier, there's no use in
    collecting all the information if we `die' anyway; thanks to Mark Lawrence
    for the bug report (closes: #500685).

 -- Damyan Ivanov <dmn@debian.org>  Wed, 19 Nov 2008 00:37:10 +0200

dh-make-perl (0.48) unstable; urgency=low

  [ gregor herrmann ]
  * Fix POD error, thanks to Fabian Pietsch for the bug report and the patch
    (closes: #489916).

  [ Damyan Ivanov ]
  * extract_base_copyright: look for files relative to $maindir, not the
    current directory. Thanks to Matt Kraai for the patch. Closes:# 493058

 -- Damyan Ivanov <dmn@debian.org>  Thu, 31 Jul 2008 09:19:50 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,15 @@
 Priority: optional
 Build-Depends: debhelper (>= 5)
 Build-Depends-Indep: perl
-XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Maintainer: Nito Martinez <Nito@Qindel.ES>
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Uploaders: Gunnar Wolf <gwolf@debian.org>, Wolfgang Schemmel <debian@37.org>,
+ Christopher Sacca <csacca@thecsl.org>,
+ Damyan Ivanov <dmn@debian.org>, gregor herrmann <gregoa@debian.org>,
+ David Paleino <d.paleino@gmail.com>, 
+ Oliver Gorwits <oliver.gorwits@oucs.ox.ac.uk>
 Standards-Version: 3.8.0
 Vcs-Svn: svn://svn.debian.org/pkg-perl/trunk/dh-make-perl/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-perl/trunk/dh-make-perl/
+Vcs-Browser: http://svn.debian.org/viewsvn/pkg-perl/trunk/dh-make-perl/
 
 Package: dh-make-perl
 Architecture: all
